Subject: bug#34016: Git checkouts managed by (guix git) grow indefinitely?

From: Ludovic Courtès <[email-masked]>
Date: Fri, 09 Aug 2019 11:36:08 +0200

Hello,

Ludovic Courtès <[email-masked]> skribis:

> So it’s Guile-Git, called from ‘update-cached-checkout’¹, that would open
> all these pack files, quickly running out of file descriptors.  I wonder
> if we’re doing something wrong here or if we hit a limitation of
> libgit2.  Ideas?

Forwarded here: <https://gitlab.com/guile-git/guile-git/issues/16>.

Ludo’.